#ifndef PJDBSYM_H
#define PJDBSYM_H

typedef struct {
    void *user_data;
    void (*gsum)(double *sbuf, double *rbuf, int count, void *user_data);
    int nglobal, nprocs, rank;
} j_parms_t;

extern j_parms_t j_parms;
#define myid	j_parms.rank
#define MPI_Allreduce(sbuf, rbuf, count, datatype, op, comm) {	\
    if (j_parms.nprocs > 1 && j_parms.gsum != NULL)		\
	j_parms.gsum(sbuf, rbuf, count, j_parms.user_data);	\
    else							\
	memcpy(rbuf, sbuf, count * sizeof(double));		\
}

#endif	/* PJDBSYM_H */
